# Class MissingSourceDimensionsException

Object
Throwable
Exception
FactoryException
OperationNotFoundException
MissingSourceDimensionsException

All Implemented Interfaces:
  `Serializable`

public class MissingSourceDimensionsException extends OperationNotFoundException
Thrown when a coordinate operation cannot be find because some dimensions are missing in the source CRS. The missing dimensions are identified by the directions of the missing axes. For example, if the coordinate system of the source CRS does not have a temporal axis which was requested by the target CRS, then the `getMissingAxes()` should contain `AxisDirection​.FUTURE` or `AxisDirection​.PAST`.

Since:
  1.6
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingSourceDimensionsException()`
  Constructs a new exception with no message.
  `MissingSourceDimensionsException(String message)`
  Constructs a new exception with the specified detail message.
  `MissingSourceDimensionsException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMissing(AxisDirection direction)`
  Indicates which dimension was missing, specified as an axis direction.
  `Set<AxisDirection>`
  `getMissingAxes()`
  Indices which axes were missing in the source coordinate system.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingSourceDimensionsException

    public MissingSourceDimensionsException()
    Constructs a new exception with no message.

  - ### MissingSourceDimensionsException

    public MissingSourceDimensionsException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the detail message, or `null` if none.

  - ### MissingSourceDimensionsException

    public MissingSourceDimensionsException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message, or `null` if none.
      `cause` - the cause, or `null` if none.

- ## Method Details

  - ### addMissing

    public void addMissing(AxisDirection direction)
    Indicates which dimension was missing, specified as an axis direction.
    Parameters:
      `direction` - direction of the missing axis.

  - ### getMissingAxes

    public Set<AxisDirection> getMissingAxes()
    Indices which axes were missing in the source coordinate system. The returned set does not need to be exhaustive and may be empty if this information is not available.
    Returns:
      directions of axes that are missing in the source coordinate system.